about summary refs log tree commit diff stats
path: root/sys/nixpkgs/pkgs/scripts/source/wrappers/ll.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sys/nixpkgs/pkgs/scripts/source/wrappers/ll.sh')
-rwxr-xr-xsys/nixpkgs/pkgs/scripts/source/wrappers/ll.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/sys/nixpkgs/pkgs/scripts/source/wrappers/ll.sh b/sys/nixpkgs/pkgs/scripts/source/wrappers/ll.sh
new file mode 100755
index 00000000..2a65d0a6
--- /dev/null
+++ b/sys/nixpkgs/pkgs/scripts/source/wrappers/ll.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
+
+last_directory="$(mktemp)"
+
+command lf -last-dir-path="$last_directory" "$@"
+
+dir="$(cat "$last_directory")"
+cd "$dir" || die "$dir does not exist!"
+rm "$last_directory"
+
+# vim: ft=sh